/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.perf.approvalwf;

import java.net.URL;
import java.util.ArrayList;
import java.util.List;

import org.ow2.bonita.perf.AbstractPerftestCase;
import org.ow2.bonita.perf.approvalwf.hook.Accept;
import org.ow2.bonita.perf.approvalwf.hook.Reject;
import org.ow2.bonita.perf.approvalwf.mapper.ApprovalMapper;


public class ApprovalWorkflow extends AbstractPerftestCase  {

  public String getAlias() {
    return "light.approval";
  }
  public String getProcessId() {
    return "ApprovalWorkflow";
  }
  protected String getPackageId() {
    return "ApprovalWorkflow_Project";
  }
  protected URL getXpdlUrl() {
    return this.getClass().getResource("ApprovalWorkflow.xpdl");
  }
  @Override
  protected List<Class< ? >> getClasses() {
    List<Class< ? >> classes = new ArrayList<Class< ? >>();
    classes.add(Accept.class);
    classes.add(Reject.class);
    classes.add(ApprovalMapper.class);
    return classes;
  }

  public long launch() {
    return executeCommonInstance(1);
  }

}


